assemblyJarName in assembly := s"${name.value}-${version.value}.jar"

mainClass in assembly := Some("Workshop9")

name := "Devoxx2015"

version := "1.0"

scalaVersion := "2.11.4"

crossScalaVersions := Seq(scalaVersion.value)

unmanagedSourceDirectories in Compile := (scalaSource in Compile).value :: Nil

unmanagedSourceDirectories in Test := (scalaSource in Test).value :: Nil

resolvers += "Local Maven Repository" at "file://" + Path.userHome.absolutePath + "/.m2/repository"

resolvers += "sonatype-oss" at "http://oss.sonatype.org/content/repositories/snapshots"

resolvers += "Typesafe Releases" at "http://repo.typesafe.com/typesafe/releases/"

resolvers += "Conjars" at "http://conjars.org/repo"

resolvers += "Clojars" at "http://clojars.org/repo"


val elastic4sV = "1.4.2"

val jacksonV = "2.4.4"

val elasticSearchV = "1.4.4"

val sparkV = "1.3.0"

libraryDependencies ++= Seq(
  "org.apache.spark" %% "spark-core" % sparkV  % "provided",
  "org.apache.spark" %% "spark-streaming" % sparkV % "provided",
  "org.apache.spark" %% "spark-mllib" % sparkV % "provided",
  "com.sksamuel.elastic4s" %% "elastic4s" % elastic4sV exclude("org.elasticsearch", "elasticsearch"),
  "org.elasticsearch" % "elasticsearch" % elasticSearchV,
  "org.elasticsearch" % "elasticsearch-hadoop" % "2.1.0.Beta3"
)

Seq(Revolver.settings: _*)

